package com.gic.haoban.manage.web.qo;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 小程序配置
 *
 * @author fdh
 */
public class MiniprogramSettingQo implements Serializable {
    /**
     *
     */
    private String miniprogramSettingId;

    /**
     *
     */
    private String wxEnterpriseId;

    /**
     *
     */
    private String enterpriseId;

    /**
     *
     */
    private String miniprogramName;

    /**
     *
     */
    private String title;

    /**
     *
     */
    private String appId;

    /**
     * 封面
     */
    private String imageUrl;
    /**
     * 类型 0默认 1自定义
     */
    private Integer miniprogramType = 0;

    public Integer getMiniprogramType() {
        return miniprogramType;
    }

    public void setMiniprogramType(Integer miniprogramType) {
        this.miniprogramType = miniprogramType;
    }

    public String getMiniprogramSettingId() {
        return miniprogramSettingId;
    }

    public void setMiniprogramSettingId(String miniprogramSettingId) {
        this.miniprogramSettingId = miniprogramSettingId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getMiniprogramName() {
        return miniprogramName;
    }

    public void setMiniprogramName(String miniprogramName) {
        this.miniprogramName = miniprogramName;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }
}